"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalScrollSpyProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const GlobalScrollSpyContext_1 = require("./GlobalScrollSpyContext");
const useScrollSpy_1 = require("./useScrollSpy");
/**
 * @param ScrollSpyParams Optional params
 * @param ScrollSpyParams.offsetPx Distance from Y coordinate of the base (px)
 * @param ScrollSpyParams.throttleMs Interval of update processing (ms)
 * @returns ScrollSpyProvider - This Provider components provides useScrollSpy return value descendants of this Provider
 */
const GlobalScrollSpyProvider = ({ children, offsetPx = 0, throttleMs = 50, } = {}) => {
    const [activeElement, actions] = (0, useScrollSpy_1.useScrollSpy)({ offsetPx, throttleMs });
    return ((0, jsx_runtime_1.jsx)(GlobalScrollSpyContext_1.GlobalScrollSpyContext.Provider, Object.assign({ value: { activeElement, actions } }, { children: children }), void 0));
};
exports.GlobalScrollSpyProvider = GlobalScrollSpyProvider;
//# sourceMappingURL=GlobalScrollSpyProvider.js.map