"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalScrollSpy = void 0;
const react_1 = require("react");
const GlobalScrollSpyContext_1 = require("./GlobalScrollSpyContext");
/**
 * @returns [ activeElement, actions ] - Two return values are returned as an array
 * @returns activeElement - DOM element activated based on scroll position (only one)
 * @returns actions - Actions are used to control registered DOM elements
 */
const useGlobalScrollSpy = () => {
    const { activeElement, actions } = (0, react_1.useContext)(GlobalScrollSpyContext_1.GlobalScrollSpyContext);
    return [activeElement, actions];
};
exports.useGlobalScrollSpy = useGlobalScrollSpy;
//# sourceMappingURL=useGlobalScrollSpy.js.map