import { createContext } from "react";
/**
 * Context provides a way to pass DOM element activated and
 * Actions are used to control registered DOM elements
 * through the component tree without having to pass props down manually at every level.
 */
export const GlobalScrollSpyContext = createContext({
    activeElement: null,
    actions: {
        registerElement: (_) => { },
        unregisterElement: (_) => { },
        resetElements: () => { },
    },
});
//# sourceMappingURL=GlobalScrollSpyContext.js.map