import { jsx as _jsx } from "react/jsx-runtime";
import { GlobalScrollSpyContext } from './GlobalScrollSpyContext';
import { useScrollSpy } from "./useScrollSpy";
/**
 * @param ScrollSpyParams Optional params
 * @param ScrollSpyParams.offsetPx Distance from Y coordinate of the base (px)
 * @param ScrollSpyParams.throttleMs Interval of update processing (ms)
 * @returns ScrollSpyProvider - This Provider components provides useScrollSpy return value descendants of this Provider
 */
export const GlobalScrollSpyProvider = ({ children, offsetPx = 0, throttleMs = 50, } = {}) => {
    const [activeElement, actions] = useScrollSpy({ offsetPx, throttleMs });
    return (_jsx(GlobalScrollSpyContext.Provider, Object.assign({ value: { activeElement, actions } }, { children: children }), void 0));
};
//# sourceMappingURL=GlobalScrollSpyProvider.js.map